Bug 59779 - perl subpackage won't build on rpm 4.0.2
Summary: perl subpackage won't build on rpm 4.0.2
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-02-13 08:18 UTC by Curtis Doty
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-13 08:20:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Curtis Doty 2002-02-13 08:18:53 UTC
I'm not sure what the proper fix is.

Observations:
 - RPM.h won't load rpmcli.h unless >=4.0.3
 - recent change to Makefile.PL prevents getting it from old rpmlib.h
 - but specfile ignores Makefile anyways :~/

Workaround: Build without perl subpackage. Install. Then rebuild with.

Comment 1 Jeff Johnson 2002-02-13 22:27:36 UTC
The proper fix is to make the rpm-perl package self-hosting,
done in rpm-4.0.4

Comment 2 Curtis Doty 2002-02-14 06:14:57 UTC
According to RPM.h, there is no way to find rpmQueryFlags_e if *system* rpm is 
< 4.0.3.

I'll leave closed per your action but I had this symptom on the rpm-4.0.4-7x.2 
specfile from rawhide.


Note You need to log in before you can comment on or make changes to this bug.